%define	rname	libsnet
%define	version	20041106
%define	release	2mdk

%define	major	0
%define libname	%mklibname snet %{major}

Summary:	The libsnet library
Name:		%{libname}
Version:	%{version}
Release:	%{release}
URL:		http://rsug.itd.umich.edu/cgi-bin/cvsweb.cgi/libsnet/
License:	BSD
Source0:	%{rname}-%{version}.tar.bz2
Group:		System/Libraries
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The libsnet library

%package	devel
Summary:	Static library and header files for the libsnet library
Group:		Development/C
Provides:	%{rname}-devel
Requires:	%{name} = %{version}-%{release}

%description	devel
This package contains the static libsnet library and its header files
needed to compile applications such as radmind, nefu, etc.

%prep

%setup -q -n %{rname}-%{version}

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force && aclocal-1.7 && autoconf

%configure2_5x

%make \
    OPTOPTS="%{optflags}" \
    VERSION="%{version}-%{release}" \
    LIBTOOL="libtool"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Sat Nov 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 20041106-2mdk
- update %%description for the devel package

* Sat Nov 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 20041106-1mdk
- initial mandrake package
